[PATCH 3/5] test-index: add a --status test

0 views
Skip to first unread message

Rob Browning

unread,
Jul 1, 2026, 5:45:12 PM (3 days ago) Jul 1
to bup-...@googlegroups.com
Signed-off-by: Rob Browning <r...@defaultvalue.org>
Tested-by: Rob Browning <r...@defaultvalue.org>
---
test/ext/test-index | 13 ++++++++++---
1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/test/ext/test-index b/test/ext/test-index
index d36639bd..ef8b18bd 100755
--- a/test/ext/test-index
+++ b/test/ext/test-index
@@ -1,7 +1,8 @@
#!/usr/bin/env bash
-. wvtest.sh
-. wvtest-bup.sh
-. dev/lib.sh
+. ./wvtest.sh || exit $?
+. ./wvtest-bup.sh || exit $?
+. ./dev/lib.sh || exit $?
+. ./test/lib/btl.sh || exit $?

set -o pipefail

@@ -99,6 +100,12 @@ WVPASS bup save -t $D/d/e/fifotest
WVPASS bup save -t $D/d/e
WVPASS rm -f $D/d/e/fifotest
WVPASS bup index -u $D/d/e
+WVPASS out-to log bup index --status "$D"
+WVPASSEQ "$(< log)" \
+'D bupdata.tmp/d/e/fifotest
+M bupdata.tmp/d/e/
+A bupdata.tmp/d/
+A bupdata.tmp/'
WVFAIL bup save -t $D/d/e/fifotest
WVPASS mv "$BUP_DIR/bi.old" "$BUP_DIR/bupindex"

--
2.47.3

Reply all
Reply to author
Forward
0 new messages